function [ yy, K ] = lynn_filtr1( x, fvz, fmez )
% Funkce lynn_filtr1.m filtruje signál x pomocí Lynnova filtru s jedním
% propustným pásem. Je vhodná zejména pro potlačení driftu v užitečném 
% signálu. Vstupy funkce jsou:
% x: vektor popisující signál, který má být filtrován pomocí Lynnova filtru
% fvz: kladné číslo charakterizující frekvenci, s kterou je signál x
% vzorkován
% fmez: kladné číslo charakterizující mezní frekvenci filtru
% Výstupem funkce lynn_filtr1.m je vektor yy charakterizující získaný 
% vyfiltrovaný signál a konstanta K, která udává šířku propustných pásem.

%získání koeficientu K
delka=fvz/fmez;
K=round(delka);

%výpočet koeficientů pro filtraci
b=ones(1,K)/K;
a=1;

%konvoluce impulsních charakteristik dvou filtrů v sérii
c=conv(b,b);

%filtrace signálu
y=filtfilt(b, a, x);

%odstranění zpoždění
y=y(K-1:end);

%výsledný signál - kolísání izolinie odečteno od původního signálu
yy=x(K-1:end)-y; %zkrácení vstupního signálu

